/******************************************************************************

  Typing Trainer

  tpgt

  Copyright (C) 2004 Sallai Andras
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  
*******************************************************************************/


//#define DEBUG

#include <locale.h>
#include <ncurses.h>
//#include "menus.h"
#include "lesmenu.h"
#include "about.h"
#include "options.h"
#include "help.h"
#include "quit.h"
#include "gettext.h"
#include "checkrc.h"

main()
{

    int elected;
    char *menuitem[7]; 
    struct mcolor_s colors = {FEHER, KEK, FEKETE, FEHER};
    int x = 25;
    int y = 8;
    int begin = 1;
    int i;
    int menunum;

#ifndef DEBUG
    setlocale(LC_ALL, "");    
#endif    

#ifdef DEBUG
    setlocale(LC_ALL, "en_US");
#endif
    bindtextdomain("tpgt", "po/"); // If we haven't been installation
    
    textdomain("tpgt");

    menunum = 5;  // Menu numbers  

    for (i = 0; i < menunum; i++)
	menuitem[i] = (char *) calloc(40, sizeof(char));

    strcpy(menuitem[0], _(" Lessons "));
    strcpy(menuitem[1], _(" Options "));    
    strcpy(menuitem[2], _(" Help "));
    strcpy(menuitem[3], _(" About "));    
    strcpy(menuitem[4], _(" Quit "));
    menuitem[5] = NULL;
		  

    check_tpgtrc();


    initscr();

    while(1)
    {
	clear();
	refresh();

	elected = menu_s(menuitem, x, y, begin, 1, colors, FEHER);

	begin = elected;
	
	switch (elected)
	{
	    case 1 : lessons();
		    break;
	    case 2 : options();
		    break;
	    case 3 : help();
		   break;
	    case 4 : about();
		   break;
	    default : quit();
	} /* switch */
    }/* while */

    endwin();


} /* main() */




